<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Company;
use Illuminate\Support\Facades\File;

class CompanySeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        /*
        // For Fake Data
        for ($i=0; $i < 10; $i++) { 
            company::create([
                'company_name' => fake()->name(),
                'email' => fake()->unique()->email()
    
            ]);
        }
        
*/
        // For Multiple Records
       /* $companies = collect(
            [
                [
                "company_name"=>"Adil Industries", 
                "email"=>"adil@gmail.com"
                ],
                [
                "company_name"=>"Arhan Industries", 
                "email"=>"arhan@gmail.com"
                ],
                [
                    "company_name"=>"Rida Industries", 
                    "email"=>"rida@gmail.com"
                ]
            ]
        );
        $companies->each(function($company){
            company::insert($company);

        });
        */
        
       
        //For 1000 of Data Via JSOn File
        $json = File::get(path:'database/json/company.json');
        $companies = collect(json_decode($json));
        $companies->each(function($company){
            company::create([
                "company_name" => $company->company_name,
                "email" => $company->email,
                "age" => $company->age,
                "city" => $company->city,
                "acc_bal" => $company->acc_bal
                
    
            ]);

        });
        

        


        /*
        // For Single Record
        company::create([
            "company_name"=>"Adil Industries",
            "email"=>"adil@gmail.com"

        ]);
        */
    }
}
