<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Employee;
use Illuminate\Support\Facades\File;

class EmployeeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        //For 1000 of Data Via JSOn File
        $json = File::get(path:'database/json/employee.json');
        $employees = collect(json_decode($json));
        $employees->each(function($employee){
            employee::create([
                "company_name" => $employee->company_name,
                "email" => $employee->email,
                "age" => $employee->age,
                "city" => $employee->city,
                "acc_bal" => $employee->acc_bal
            
            ]);

        });
    }
}
